# GLM: glm::gtx::matrix_access Namespace Reference

# glm::gtx::matrix_access Namespace Reference

GLM_GTX_matrix_access extension: Set a column or a row of a matrix. More...

## Functions

template<typename genType >
genType | column (const genType &m, int index, typename genType::col_type const &x)
| Set a specific column to a matrix.
template<typename genType >
genType | row (const genType &m, int index, typename genType::row_type const &x)
| Set a specific row to a matrix.

## Detailed Description

GLM_GTX_matrix_access extension: Set a column or a row of a matrix.

## Function Documentation

genType glm::gtx::matrix_access::column | ( | const genType & | m,
|  | int | index,
|  | typename genType::col_type const & | x |
| ) |  |  |

Set a specific column to a matrix.

From GLM_GTX_matrix_access extension.

genType glm::gtx::matrix_access::row | ( | const genType & | m,
|  | int | index,
|  | typename genType::row_type const & | x |
| ) |  |  |

Set a specific row to a matrix.

From GLM_GTX_matrix_access extension.